import jieba

def process_text(model, text):
    words = list(jieba.cut(text))  # 中文分词
    vectors = []
    for word in words:
        vec = model.encode(word)  # 用encode方法取向量
        vectors.append(vec)
    return words, vectors